import 'package:backend_dart/domain/interface/error.dart';
import 'package:fpdart/fpdart.dart';

TaskEither<IError, T> Function(T?) errorOnNull<T>(IError error) {
  return (T? value) {
    return value != null ? TaskEither.of(value) : TaskEither.left(error);
  };
}
