import 'package:backend_dart/domain/data/project_data_source.dart';
import 'package:backend_dart/domain/data/project_task_data_source.dart';
import 'package:backend_dart/domain/data/time_entry_data_source.dart';
import 'package:backend_dart/domain/data/user_data_source.dart';

abstract class IDatabase {
  UserDataSource get users;
  TimeEntryDataSource get timeEntries;
  ProjectTaskDataSource get tasks;
  ProjectDataSource get projects;

  Future<void> close();
}
