enum ErrorCode {
  networkError, // Fehler bei der Netzwerkkommunikation
  validationError, // Eingabevalidierungsfehler
  unexpectedError, // Unerwarteter Fehler
  authenticationError, // Authentifizierungsfehler
  permissionDenied, // Berechtigungsfehler
  notFound, // Ressource nicht gefunden
  exception, // Ausnahme
  mappingError, // Fehler beim Zuordnen von Daten
  databaseError, // Datenbankfehler
  inputError, // Eingabefehler
  outputError, // Ausgabefehler
  internalError, // Interner Fehler
  unknownError, // Unbekannter Fehler
}
