import 'package:backend_dart/infrastructure/config/config.dart';
import 'package:backend_dart/interfaces/http/server.dart';
import 'package:shelf_hotreload/shelf_hotreload.dart';

void main() async {
  final config = await Config.load();
  final server = Server(config);

  print('(DEV) Starting ActaTempus server on port ${config.port}...');
  withHotreload(() => server.start());
}
