import 'package:backend_dart/domain/errors/error_code.dart';

abstract class IError {
  ErrorCode get code; // Fehlercode
  String get message; // Fehlermeldung
  StackTrace? get stackTrace; // Stacktrace
  Map<String, String>? get details; // Zusätzliche Details
}
